Main Page Packages Class Hierarchy Compound List File List Compound Members

# noderemovechild Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| noderemovechild (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "removeChild(oldChild)" method removes the child node indicated by "oldChild" from the list of children and returns it.

Remove the first employee by invoking the "removeChild(oldChild)" method an checking the node returned by the "getParentNode()" method. It should be set to null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1734834066

Definition at line 46 of file noderemovechild.java.

## Constructor & Destructor Documentation

noderemovechild::noderemovechild | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file noderemovechild.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String noderemovechild::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 70 of file noderemovechild.java.
    00070                                 {
    00071       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/noderemovechild";
    00072    }

void noderemovechild::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 73 of file noderemovechild.java. References DOMTestCase::doMain().
    00073                                           {
    00074         DOMTestCase.doMain(noderemovechild.class,args);
    00075    }

void noderemovechild::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file noderemovechild.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       Element rootNode;
    00057       NodeList childList;
    00058       Node childToRemove;
    00059       Node removedChild;
    00060       Node parentNode;
    00061       doc = load("staff");
    00062       rootNode = doc.getDocumentElement();
    00063       childList = rootNode.getChildNodes();
    00064       childToRemove = childList.item(1);
    00065       removedChild = rootNode.removeChild(childToRemove);
    00066       parentNode = removedChild.getParentNode();
    00067       assertNull("nodeRemoveChildAssert1",parentNode);
    00068
    00069    }

The documentation for this class was generated from the following file:

- noderemovechild.java